Description

When handling multiple projects with one Redmine installation, the "Projects" page soon gets rather confusing.

Style wise it is well designed, but this design is not very well suited to display many projects at once.

We are managing a ever growing number of projects with Redmine. The feedback is very positive, except for the projects page,

where people are rather confused the first time. After becoming acquainted with it, the feedback gets better, but it is not possible to

quickly search for projects.

I know there is the dropdown menu AND the search field, but people tend to use the projects page anyway.

After doing a small poll at work, I made a list of what people think the main problems are

you need to scroll, even with a relatively small number of projects

distinction between project entries is rather hard

it is not possible to reorder the list in any way

Therefore, I am proposing a new view for the projects page. Main features should be

compact view with multiple projects on one page (table with some columns perhaps)

smaller overall font size

description as tooltip or shorter description

order by assigned projects first, then alphabetically

Maybe a detailed list view similar to the administrative projects list could be handy too, as could be a switch or menu where the view

style can be selected (current view for a small number of projects, new view or list view for many projects).

Related issues:

Related to Redmine - Feature #7982: Folding project list (expand/collapse) New 2011-03-24

Related to Redmine - Feature #6522: Projects page optional as collapsable tree New 2010-09-28

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

Related to Redmine - Feature #805: Allow projects view to be sorted by activity New 2008-03-07

Related to Redmine - Feature #700: Home: Latest Projects Closed 2008-02-20

Is duplicate of Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2010-02-22 10:20 - Daniel Thorpe

Kinda gotta agree on this. I'm using Redmine with over 40 projects. Having more than one column on the Projects page would be a big advantage.

#2 - 2010-02-22 12:01 - Antonio Montesinos

I agree too. It is very uncomfortable the way the projects page are shown / managed.

+1 for this option

#3 - 2010-02-22 12:04 - Denis Tomashenko

+1

#4 - 2010-02-22 20:21 - Anonymous

+1

2025-07-08 1/3



Maybe to list subprojects in one line with decreasing font size as the level gets deeper?

#5 - 2010-02-23 03:13 - Jeffrey Jones

I would have thought a grid layout would be easiest. Each main project is one Grid-box and all subprojects are listed underneath inside that grid-box

in roughly the same manner as now.

I think that would provide a reasonable use of space. For example:

_____________________________

|Main Project1|Main Project2|

| Sub-1       | Sub-1       |

| Sub-2       |             |

|   Sub-sub 3 |             |

|_____________|_____________|

|Main Project3|Main Project2|

|             | Sub-1       |

|             |  Sub-sub2   |

|             |             |

|_____________|_____________|

 Or something along those lines. Bonus point is that those with large screens see more projects on screen at anyone time (floated div grid)

#6 - 2010-05-14 09:56 - Pedro Gutierrez

Something must be done wrt this. It is a little bit annoying

#7 - 2010-05-14 10:14 - Eraldo Girardi

+1

Same things I heard from my users

#8 - 2010-08-24 19:32 - loic Le Gallou

+1. Agree.

#9 - 2010-08-25 02:26 - Terence Mill

+1

Admin's Tab Project-List is better structured and searchable

#10 - 2010-10-29 13:12 - Patrick Meidl

+1

also I totally agree with Terence Mill, the projects list in administration would be a much better starting point for me.

what I would also like to suggest is to add direct links to different tabs of a project (e.g. to directly to Issues or Wiki from the global project list).

#11 - 2010-11-02 09:06 - Frank Helk

How about making it similar to the tickets list ... various filters, custom sorting, choice of fields to display (or not), and a way to store those settings.

Along with a way to collapse the subproject tree branches.

#12 - 2011-02-05 18:35 - Pompapathi Gadad

+1

I agree with Frank Helk... projects page similar to tickets list will be very useful.

#13 - 2011-03-24 11:07 - Christian Ziegelt

+1

Same things for me.

Is there any progress in this matter ? Anyone did something with the ideas ? any plans how to go on in this ? Any Help needed by doing the changes

?

#14 - 2011-05-25 21:02 - pasquale [:dedalus]

+1

#15 - 2011-05-30 01:18 - Dave Lowndes

+1 (where's the damn vote button?)
I want a favorites so I can pick and choose my short project list rather than have it automated with projects I'm involved in (but not active in).

#16 - 2013-01-07 20:26 - Denis Peplin

Simple projects table plugin: https://github.com/denispeplin/redmine-projects-table

Not sure it is really useful at the moment, but can be a good starting point.

#17 - 2013-01-08 22:25 - Anonymous

The simple table plugin does a nice job of compressing the list, which might be enough to 'solve' this page for a lot of people.

There's also a plugin called project accordion. It isn't quite as compressed, but it's a collapsible view of projects, so you only see the top level until you

start clicking through.

Either goes a long, LONG way toward addressing layout concerns, but honestly, these need to be built into Redmine so we don't lose them as plug-in

developers move to other things in life in the future (DMSF, I'm looking at you).

#18 - 2013-01-10 16:51 - Denis Peplin

Plugin ProjectTable updated, now it seems good enough to really replace default Projects view for those, who don't wont anything more complex, that

default Projects page, but wants to see it more compact.

I've registered plugin in catalog: http://www.redmine.org/plugins/projects_table

#19 - 2013-08-12 12:55 - Jacob Skinner

+1 here for native support...... is this being looked at still or what?

Issue staus is 'new' from 5 years ago and is a serious limitationto the top level view of Redmine

#20 - 2013-08-14 11:00 - Frank Helk

+1 for native support, too.

#21 - 2013-08-14 11:05 - minkbear minkbear

+1 too.

#22 - 2014-09-22 09:05 - Toshi MARUYAMA

- Related to Feature #805: Allow projects view to be sorted by activity added

#23 - 2014-09-22 09:05 - Toshi MARUYAMA

- Related to Feature #700: Home: Latest Projects added

#24 - 2015-07-03 19:07 - Zer Guz

+1 Should be more similar to administrative projects list

#25 - 2020-02-15 16:12 - Marius BĂLTEANU

- Is duplicate of Feature #29482: Query system for Projects page added

#26 - 2020-02-15 16:14 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

Most of the requests were been implemented in #29482, the Projects list page now supports queries and two views: as table list or as board list (grid).

Please open a new issue if something is missing.
